set feedback off
set verify off
set echo off
set termout off
set pages 80
set heading off
set linesize 120
spool scripts/tmp_disable.sql
select 'spool logs/cnstr_disable.log;' from dual;
select 'ALTER TABLE '||c.owner || '.' || '"'||substr(c.table_name,1,35)|| '"' ||
' DISABLE CONSTRAINT '||constraint_name||' ;'
from all_constraints c, all_tables u
where c.constraint_type='R' and c.table_name = u.table_name and u.owner in ('CONFIG', '&&1', '&&2');
select 'exit;' from dual;
exit;