--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: Błąd - niepoprawny typ kalendarza. Podaj 1 (gregoriański) lub 2 (ISO)';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: Błąd - wartość START_YEAR jest równa NULL lub jest większa niż END_YEAR';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: Błąd - wartość END_YEAR jest równa NULL lub jest mniejsza niż START_YEAR';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: Błąd - nie podano schematu hurtowni danych.  Podaj poprawny schemat';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: Błąd - wymiar daty jest uszkodzony, najmniejsza wartość daty jest różna od 1 stycznia';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: Błąd - wymiar daty jest uszkodzony, największa wartość daty jest różna od 31 grudnia';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: Błąd - kalendarz nieobsługiwany przez wymiar daty';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: Błąd - argument wymiaru daty END_YEAR jest mniejszy niż MIN(YEAR) w dacie D_DATE';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: Błąd - argument wymiaru daty START_YEAR jest większy niż MAX(YEAR) w dacie D_DATE';

CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;

END;
/
