--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: 發生錯誤，日曆類型無效。請指定 1（格里高里曆）或 2 (ISO)';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: 發生錯誤，START_YEAR 為空值或晚於 END_YEAR';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: 發生錯誤，END_YEAR 為空值或早於 START_YEAR';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: 發生錯誤，未指定倉儲綱目。請指定有效的綱目。';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: 發生錯誤，日期維度毀損，最早日期不是 1 月 1 日。';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: 發生錯誤，日期維度毀損，最晚日期不是 12 月 31 日。';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: 發生錯誤，日期維度不支援日曆';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: 發生錯誤，日期維度引數 END_YEAR 早於 MIN(YEAR) IN D_DATE';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: 發生錯誤，日期維度引數 START_YEAR 晚於 MAX(YEAR) IN D_DATE';

CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;

END;
/
