--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

connect "SYS"/"&&sysPassword" as SYSDBA

CREATE  
    TABLESPACE VNF_IDX 
    LOGGING 
    DATAFILE 
    '&&DATA_HOME/oradata/&&ORACLE_SID/VNF_IDX_1.ora'
    SIZE 200M AUTOEXTEND 
    ON NEXT  50M MAXSIZE UNLIMITED EXTENT MANAGEMENT LOCAL 
    SEGMENT SPACE MANAGEMENT  AUTO;

CREATE  
    TABLESPACE VNF_32K 
    LOGGING 
    DATAFILE 
    '&&DATA_HOME/oradata/&&ORACLE_SID/VNF_32K_1.ora'
    SIZE 200M AUTOEXTEND 
    ON NEXT  50M MAXSIZE UNLIMITED EXTENT MANAGEMENT LOCAL 
    SEGMENT SPACE MANAGEMENT  AUTO; 

CREATE  
    TABLESPACE VSTR_IDX 
    LOGGING 
    DATAFILE 
    '&&DATA_HOME/oradata/&&ORACLE_SID/VSTR_IDX_1.ora'
    SIZE 200M AUTOEXTEND 
    ON NEXT  50M MAXSIZE UNLIMITED EXTENT MANAGEMENT LOCAL 
    SEGMENT SPACE MANAGEMENT  AUTO; 

CREATE  
    TABLESPACE VSTR_32K 
    LOGGING 
    DATAFILE 
    '&&DATA_HOME/oradata/&&ORACLE_SID/VSTR_32K_1.ora'
    SIZE 200M AUTOEXTEND 
    ON NEXT  50M MAXSIZE UNLIMITED EXTENT MANAGEMENT LOCAL 
    SEGMENT SPACE MANAGEMENT  AUTO; 
    
CREATE 
    TEMPORARY TABLESPACE RIS_TEMP TEMPFILE 
    '&&DATA_HOME/oradata/&&ORACLE_SID/RIS_TEMP01.DBF' SIZE 250M REUSE 
    AUTOEXTEND 
    ON NEXT  50M MAXSIZE  32767M EXTENT MANAGEMENT LOCAL UNIFORM
    SIZE 1024K;
    
    
COMMIT;    