--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: Error invalid calendar type. Specify 1 (gregorian), 2 (ISO)';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: Error START_YEAR is null OR greater than END_YEAR';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: Error END_YEAR is null OR less than START_YEAR';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: Error Warehouse schema not specified.  Specify a valid schema';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: Error Date Dimension is corrupted, smallest date does not equal January 1rst';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: Error Date Dimension is corrupted, largest date does not equal December 31rst';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: Error Date Dimension unsupported calendar';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: Error Date Dimension argument END_YEAR < MIN(YEAR) IN D_DATE';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: Error Date Dimension argument START_YEAR > MAX(YEAR) IN D_DATE';

CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;

END;
/
