--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: 错误：无效的日历类型。指定 1（公历），2（ISO）';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: 错误：START_YEAR 为空或大于 END_YEAR';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: 错误：END_YEAR 为空或小于 START_YEAR';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: 错误：未指定仓库模式。请指定有效模式';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: 错误：日期维度已损坏，最小日期不等于 1 月 1 日';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: 错误：日期维度已损坏，最大日期不等于 12 月 31 日';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: 错误：日期维度不支持的日历';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: 错误：日期维度参数 END_YEAR 小于 MIN(YEAR) IN D_DATE';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: 错误：日期维度参数 START_YEAR 大于 MAX(YEAR) IN D_DATE';

CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;

END;
/
